@use "variables"

$image-text-shadow: #555
$description-border-bottom: #808080
$author-color: #b2b1a8

.news-teaser
  display: block
  color: inherit
  text-decoration: none
  width: 100%
  margin-bottom: 20px
  article
    @media screen and (max-width: variables.$footer-width)
      position: relative
      overflow: hidden
      height: 100%
      padding-left: 250px
    @media screen and (max-width: variables.$mobile-width)
      padding-left: 0

  .body
    @media screen and (max-width: variables.$mobile-width)
      display: none

    p
      margin-bottom: 0

  img
    width: 100%
    height: auto

  .image-container
    position: relative
    left: 0
    @media screen and (max-width: variables.$footer-width)
      position: absolute
      width: 250px
    @media screen and (max-width: variables.$mobile-width)
      position: relative
      width: 100%

  .description
    padding: 30px
    overflow: hidden
    background-color: variables.$white
    @media screen and (max-width: variables.$header-width)
      padding-right: 0
      padding-top: 15px
    @media screen and (max-width: variables.$mobile-width)
      border-bottom: 1px solid $description-border-bottom
      padding: 15px

  .image-gradient
    background-image: linear-gradient(0, variables.$black 0%, variables.$transparent 40%)
    position: absolute
    top: 0
    bottom: 0
    left: 0
    right: 0

  .image-text
    position: absolute
    bottom: 0
    color: variables.$white
    text-shadow: 1px 1px 1px $image-text-shadow
    padding: 25px
    @media screen and (max-width: variables.$header-width)
      display: none

    .author
      margin-top: 15px
      font-size: 13px

  .mobile
    display: none
    font-size: 22px
    line-height: 1.2
    font-weight: bold
    @media screen and (max-width: variables.$header-width)
      display: block

    .author
      margin-top: 15px
      font-size: 13px
      color: $author-color
      margin-bottom: 15px
